			
			<script src='https://8x8.vc/external_api.js'></script>	
						
			<script>

				var config = $.parseJSON( <?php echo "'" . json_encode($Fractal->config) . "'"; ?> );

				var disableVideo = false;

				var layer = "<?=$layer?>";
				var isPrevRep = "<?=$isPrevRep?>";
				var isLoggedIn = "<?=$isLoggedIn?>";
				var title = "<?=$Fractal->config->title?>";
				var repGroupId = "<?=$repGroupId?>";
				var groupId = "<?=$groupId?>";
				var userIsObserver = "<?=$userIsObserver?>";
				var username = "<?=$username?>";
				if (userIsObserver)
					username = "*<?=$username?>";
				
				var askJoinOpen = false;

				if (window.location.protocol == "http:") {
					var restOfUrl = window.location.href.substr(5);
					window.location = "https:" + restOfUrl;
					}

				const jitsiDomain = '8x8.vc';
				
				const options = {
					APP_NAME: 'Fractal Meet',
					roomName: 'fractalcircles/room-' + layer + '-' + groupId,
					width: $(".container").width(),
					height: $(window).height(),
					parentNode: document.querySelector('#meet'),
					configOverwrite: {
						prejoinPageEnabled: false
					},
					userInfo: {
						displayName: username,
					},
					interfaceConfigOverwrite: {
						MOBILE_APP_PROMO: false,
						startWithAudioMuted: true,
						startWithVideoMuted: true,
					},	
				};	
				
			
				const openOptions = {
					roomName: 'fractalcircles/meet',
					width: $(".container").width(),
					height: $(window).height(),
					parentNode: document.querySelector('#openMeet'),
					interfaceConfigOverwrite: {
					   MOBILE_APP_PROMO: false,
					},
					userInfo: {
						displayName: '<?=$username?>'
					},
					configOverwrite: {
					  startWithAudioMuted: true,
					  startWithVideoMuted: true,
					},					
				};
				
				
				const openOptions2 = {
					roomName: 'fractalcircles/meet',
					width: $(".container").width(),
					height: $(window).height(),
					parentNode: document.querySelector('#openMeet'),
					userInfo: {
						displayName: '<?=$username?>'
					},
					interfaceConfigOverwrite: {
					   MOBILE_APP_PROMO: false,
					},
					configOverwrite: {
					  prejoinPageEnabled: false,
					  startWithAudioMuted: true,
					  startWithVideoMuted: true,
					},					
				};				
							
				var wait = (<?=$wait?>) * 60 * 1000;
				var lobbyTime = (<?=$Fractal->config->lobbyTime?>) * 60 * 1000;
				var loadTime = new Date().getTime();
				
				$(window).load(function() {
					
					window.name = 'L' + layer;
					
					$(document).prop('title', title + " | Meeting " + (Math.floor(layer)+1));
															
					if (wait>0) {
						timerId = setInterval(waitCounter, 1000);
					}
					// remove GET variables from url
					url = window.location.href;
					url = url.split('?')[0];
					url = url + "?layer=" + parseInt(layer);
					history.pushState("", "<?=$title?>", url);

					// if lobby is open ask to join group
					if(wait-lobbyTime < 0 && wait > 0) {
						askJoinGroup();
					}
					
					
				});
				
				function askJoinGroup() {
					if (isLoggedIn && (layer == 0 || isPrevRep)) {
	 
						if (!groupId && !askJoinOpen) {
							askJoinOpen = true;
							myComfirm("Join Group", function(result) {
								if (result) {
									window.location = '?start';
								}
							});		
						}
					}
					
				}
					
				var waitCounter = function(){
					var now = new Date().getTime();
					var timePassed = (now - loadTime);
					wait = (<?=$wait?>) * 60 * 1000 - timePassed;
					
					if(wait <= 0) {
						location.reload(true);
						return;
					}

					if (layer == 0 || isPrevRep) {
						if(wait-lobbyTime < 0 && wait > 0) {
							$("#joingroup").slideDown();
							askJoinGroup();
						}
						else
							$("#joingroup").slideUp();
					}
					
					delta = wait/1000;
					// calculate (and subtract) whole days
					var days = Math.floor(delta / 86400);
					delta -= days * 86400;

					// calculate (and subtract) whole hours
					var hours = Math.floor(delta / 3600) % 24;
					delta -= hours * 3600;

					// calculate (and subtract) whole minutes
					var minutes = Math.floor(delta / 60) % 60;
					delta -= minutes * 60;

					// what's left is seconds
					var seconds = Math.floor(delta % 60);  // in theory the modulus is not required

//					$("#waitTime").html(days + " dagar, " + hours + " timmar, " + minutes + " minuter och " + seconds + " sekunder");
					$("#waitTime").html(days + " days, " + hours + " hours, " + minutes + " minutes and " + seconds + " seconds");
					
				};


				function showVideo() {
					if(!$('#meetContainer').is(":visible")) {
						if (!disableVideo)
							api = new JitsiMeetExternalAPI(jitsiDomain, options); 
						
						$('#meetContainer').slideDown();
						$('#observeVideo').slideUp();
					}
				}

				var ALERT_TITLE = "";
				var ALERT_BUTTON_TEXT = "Ok";
				var CANCEL_BUTTON_TEXT = "Cancel";

				function myAlert(txt, callback = function() {} ) {
					d = document;

					if(d.getElementById("modalContainer")) return;

					mObj = d.getElementsByTagName("body")[0].appendChild(d.createElement("div"));
					mObj.id = "modalContainer";
					mObj.style.height = d.documentElement.scrollHeight + "px";

					alertObj = mObj.appendChild(d.createElement("div"));
					alertObj.id = "alertBox";
					if(d.all && !window.opera) alertObj.style.top = document.documentElement.scrollTop + "px";
					alertObj.style.left = (d.documentElement.scrollWidth - alertObj.offsetWidth)/2 + "px";
					alertObj.style.visiblity="visible";

					h1 = alertObj.appendChild(d.createElement("h1"));
					h1.appendChild(d.createTextNode(ALERT_TITLE));

					msg = alertObj.appendChild(d.createElement("p"));
					//msg.appendChild(d.createTextNode(txt));
					msg.innerHTML = txt;

					btn = alertObj.appendChild(d.createElement("a"));
					btn.id = "closeBtn";
					btn.appendChild(d.createTextNode(ALERT_BUTTON_TEXT));
					btn.href = "#";
					btn.focus();
					btn.onclick = function() { removeCustomAlert(); callback(); return false; }

					alertObj.style.display = "block";

				}

				function myComfirm(txt, callback = function() {} ) {
					d = document;

					if(d.getElementById("modalContainer")) return;

					mObj = d.getElementsByTagName("body")[0].appendChild(d.createElement("div"));
					mObj.id = "modalContainer";
					mObj.style.height = d.documentElement.scrollHeight + "px";

					alertObj = mObj.appendChild(d.createElement("div"));
					alertObj.id = "alertBox";
					if(d.all && !window.opera) alertObj.style.top = document.documentElement.scrollTop + "px";
					alertObj.style.left = (d.documentElement.scrollWidth - alertObj.offsetWidth)/2 + "px";
					alertObj.style.visiblity="visible";

					h1 = alertObj.appendChild(d.createElement("h1"));
					h1.appendChild(d.createTextNode(ALERT_TITLE));

					msg = alertObj.appendChild(d.createElement("p"));
					//msg.appendChild(d.createTextNode(txt));
					msg.innerHTML = txt;

					div = alertObj.appendChild(d.createElement("div"));
					div.className = "center";
					div.style = "margin-bottom:10px";
				
					btn2 = div.appendChild(d.createElement("a"));
					btn2.className = "btn btn-default";
					btn2.appendChild(d.createTextNode(CANCEL_BUTTON_TEXT));
					btn2.href = "javascript:void(0)";
					btn2.onclick = function() { removeCustomAlert(); callback(false); return true; }
					
					btn = div.appendChild(d.createElement("a"));
					btn.className = "btn btn-default";
					btn.appendChild(d.createTextNode(ALERT_BUTTON_TEXT));
					btn.href = "javascript:void(0)";
					btn.focus();
					btn.onclick = function() { removeCustomAlert(); callback(true); return true; }

					alertObj.style.display = "block";

				}

				function removeCustomAlert() {
					document.getElementsByTagName("body")[0].removeChild(document.getElementById("modalContainer"));
				}

				
			</script>